#! /bin/sh
# Test of the various hooks.

set -m

insmod ../test/redirect.o hook=1 || exit 1

./intercept LOCAL_IN DROP 2 1 > $TMPFILE &
sleep 1

./gen_ip $TAP0NET.2 $TAP1 100 1 8 0 55 57 > /dev/tap0

if wait %./intercept; then :
else
    echo Intercept failed:
    ./rcv_ip 1 1 < $TMPFILE
    exit 1
fi

if [ "`./rcv_ip 1 1 < $TMPFILE`" != "$TAP0NET.2 $TAP1 100 1 8 0 55 57 " ]
then
    echo Reply packet corrupted!
    echo \`"`./rcv_ip 1 1 < $TMPFILE`"\' vs \`$TAP0NET.2 $TAP1 100 1 8 0 55 57 \'
    exit 1
fi

exit 0

