#ifndef _IPT_STATE_H
#define _IPT_STATE_H

/* States we can match on */
enum ipt_state
{
	IPT_STATE_INVALID,      /* Anything not detailed below */
	IPT_STATE_NEW,		/* First packet, or retransmit before a
				 * reply seen. */
	IPT_STATE_ESTABLISHED,  /* Reply packet, or a packet after traffic
				 * has been seen both ways. */
	IPT_STATE_RELATED	/* Related to an existing connection. */
};

struct ipt_state_info
{
	int invert;
	enum ipt_state state;
};
#endif /*_IPT_RATE_H*/
