#! /bin/sh
# Test of the various hooks.

set -m

insmod ../test/redirect.o hook=2 || exit 1

./intercept FORWARD DROP 2 1 | ./rcv_ip 2 1 > $TMPFILE &
sleep 1

./gen_ip $TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 > /dev/tap0

if wait %./intercept; then :
else
    echo Intercept failed:
    cat $TMPFILE
    exit 1
fi

if [ "`cat $TMPFILE`" != "$TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 " ]
then
    echo Packet corrupted!
    echo \`"`cat $TMPFILE`"\' vs \`$TAP0NET.2 $TAP1NET.2 100 1 8 0 55 57 \'
    exit 1
fi

exit 0

